Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 171603 - postun script fails in presence of jpackage-utils from jpackage.org
postun script fails in presence of jpackage-utils from jpackage.org
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: java-1.4.2-gcj-compat (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Fitzsimmons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-24 05:22 EDT by Paul Howarth
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-06 20:48:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Howarth 2005-10-24 05:22:35 EDT
I was under the impression (perhaps mistakenly) that Fedora Core was trying to
be compatible with the JPackage.org regarding java packages. So I had no qualms
about enabling the jpackage repo in yum. Around a month ago, jpackage-utils was
updated to 1.6.6-1jpp from that repo. The JPackage.org version of this package,
unlike the fedora version, does not contain the
/usr/bin/rebuild-security-providers script. As a result of this, when it came
time to upgrade java-1.4.2-gcj-compat from 1.4.2.0-40jpp_31rh.FC4.1 to
1.4.2.0-40jpp_31rh.FC4.2, the %postun script, which calls
/usr/bin/rebuild-security-providers, failed, and I was left with both versions
of this package installed. I removed 1.4.2.0-40jpp_31rh.FC4.1 manually using rpm
-e --noscripts, but I don't think I should have needed to do this.

I guess the "quick fix" for this would be to add "|| :" at the end of the line
calling /usr/bin/rebuild-security-providers, and the better (or additional) fix
would be to push the /usr/bin/rebuild-security-providers script upstream so that
the jpackage-utils package contained what was needed, no matter where it came
from. If that can't be done, perhaps add:

Requires(post): /usr/bin/rebuild-security-providers
Requires(postun): /usr/bin/rebuild-security-providers

That should then prevent the installation of conflicting packages on systems
that don't already have them.
Comment 1 Thomas Fitzsimmons 2005-11-10 16:32:51 EST
Yes, I'm going to remove this incompatibility from the Fedora jpackage-utils in
the next import.  In fact, I hope to make our next jpackage-utils exactly match
the upstream jpackage-utils.  I'll leave this bug open until this
incompatibility is gone.
Comment 2 Thomas Fitzsimmons 2006-02-06 20:48:29 EST
I've updated all the Fedora packages that call rebuild-security-providers to
check for the script's existence before calling it, and I've submitted the
script upstream for inclusion in the official jpackage-utils package.  Closing.

Note You need to log in before you can comment on or make changes to this bug.